apiVersion: v1
kind: Service
metadata:
  name: storagetransfer
  namespace: edoc2
  labels:
    app: storagetransfer
spec:
  ports:
  - name: storagetransfer
    port: 8002
    targetPort: 8002
    protocol: TCP
  selector:
    app: storagetransfer
  type: ClusterIP
---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: storagetransfer
  namespace: edoc2
  labels:
    app: storagetransfer
    k8s-app: storagetransfer
spec:
  replicas: 1
  revisionHistoryLimit: 10
  selector:
    matchLabels:
      app: storagetransfer
  template:
    metadata:
      labels:
        app: storagetransfer
    spec:
      hostname: storagetransfer
      terminationGracePeriodSeconds: 60
      containers:
      - name: storagetransfer
        image: registry.edoc2.com:5000/edoc2v5/storagetransfer:ecm-v6.3.0.0
        imagePullPolicy: IfNotPresent
        ports:
        - name: init
          containerPort: 8002
        envFrom:
        - configMapRef:
            name: kb-envfile
        securityContext:
          capabilities:
            add: ["SYS_PTRACE"]
        resources:
          requests:
            cpu: 6000m
            memory: 24Gi
          limits:
            cpu: 6500m
            memory: 25Gi
        volumeMounts:
        - name: dockersock
          mountPath: /var/run/docker.sock
        - name: edoc2docs
          mountPath: /edoc2Docs
      volumes:
      - name: dockersock
        hostPath:
          path: /var/run/docker.sock
      - name: edoc2docs
        hostPath:
          path: /home/edoc2/macrowing/edoc2v5/data/edoc2Docs
      nodeSelector:
        node.drive.nodelabels: InDrive
